org.apache.ignite.internal.igfs.common

## Class IgfsStreamControlRequest

- java.lang.Object
- - org.apache.ignite.internal.igfs.common.IgfsMessage
  - - org.apache.ignite.internal.igfs.common.IgfsStreamControlRequest

    public class IgfsStreamControlRequest
    extends IgfsMessage

Read block request.

### Constructor Summary

Constructors
Constructor and Description
`IgfsStreamControlRequest()`

### Method Summary

Methods
`byte[]` `data()`
`void` `data(byte[] data)`
`int` `length()`
`void` `length(int len)`
`long` `position()`
`void` `position(long pos)`
`long` `streamId()`
`void` `streamId(long streamId)`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.igfs.common.IgfsMessage

`command, command`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgfsStreamControlRequest

    public IgfsStreamControlRequest()

### Method Detail

#### streamId

    public long streamId()

Returns:
  Stream ID.

#### streamId

    public void streamId(long streamId)

Parameters:
  `streamId` - Stream ID.

#### data

    public byte[] data()

Returns:
  Data.

#### data

    public void data(byte[] data)

Parameters:
  `data` - Data.

#### position

    public long position()

Returns:
  Position.

#### position

    public void position(long pos)

Parameters:
  `pos` - Position.

#### length

    public int length()

Returns:
  Length.

#### length

    public void length(int len)

Parameters:
  `len` - Length.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015